#Action

C
List
R
String[]

Configure
M
b

_ConfigureToolbar
M

(hToolbar)ToolBar;
_Register
M

(Control)o(Old)s(Key)s
Add
M

(Action)s(Text)s[(Picture)s(HasShortcut)b(DefaultShortcut)s]
Window_Open
M


Window_Close
M


AddFrom
M

(Control)o
#ToolBar
UserContainer
C
_Properties
C
s
"*,-Arrangement,-Padding,-Spacing,-Indent,-Invert,Key,Text,Action,Orientation{ToolBar.Horizontal;Vertical},Size{Tiny;Small;Medium;Large;Huge}=Small,AutoResize=True,Separator"
_DefaultArrangement
C
s
"R"
_DefaultSize
C
s
"36,4"
Horizontal
C
i
0
Vertical
C
i
1
:Configure
:


Design
p
b

Orientation
p
i

AutoResize
p
b

Key
p
s

Text
p
s

Separator
p
b

Size
p
s

Settings
p
s

_new
m


Configure
m


_RaiseConfigure
m


GetLayout
M
s
(Key)s
SetLayout
M

(Key)s(sLayout)s
#Workspace
UserControl
C
_Properties
C
s
"*,Orientation{Align.Top;Bottom}=Top,Image,Border=True,CloseButton=True"
_DefaultEvent
C
s
"Activate"
_Group
C
s
"Special"
:Activate
:


:Close
:

(Window)Window;
:Attach
:

(Window)Window;
:Detach
:

(Window)Window;
:CloseAll
:


ActiveWindow
p
Window

Windows
r
Window[]

Count
r
i

Font
p
Font

Background
p
i

Orientation
p
i

Border
p
b

Image
p
Image

Picture
p
Picture

CloseWithMouse
p
b

CloseButton
p
b

TabPanel
r
TabPanel

_new
m


Add
m

(hWindow)Window;[(Resizable)b]
Remove
m

(hWindow)Window;
Exist
m
b
(hWindow)Window;
Detach
m

(hWindow)Window;
Attach
m

(hWindow)Window;
Lock
m


Unlock
m


_Activate
m


_RaiseClose
m
b
(hWindow)Window;
_RaiseAttach
m

(hWindow)Window;
_RaiseDetach
m

(hWindow)Window;
_RaiseCloseAll
m


CloseAll
m


